Subject: Re: [PATCH v3] git-p4: add option to preserve user names

From: Luke Diamand <[email-masked]>
Date: Sun, 08 May 2011 21:35:28 +0100

On 08/05/11 18:32, Junio C Hamano wrote:
> Luke Diamand<[email-masked]>  writes:
>
>>> It looks to me that the message is not helping the users, even though it
>>> may help as a debugging aid for git-p4 developers.
>>
>> Should I just remove it?
>>
>> I guess it only adds a small amount of information which could be
>> explained in the instructions.
>
> I was trying to get a feel of how much thinking went behind that message,
> by suggesting a possible improvement to help users who forgot to pass the
> new option when they might have wanted to, instead of just assuring users
> who did pass the option when the command did the right thing for them.
>
> People learn to quickly ignore repeated and regular messages. They will
> learn that they will get that message whenever they pass the new option,
> and they learn that most of the time it says what they wanted, and will
> easily miss when the username you put in the message is different from
> what they expect.
>
> In our commit template, we say "# Author: author name" when and only when
> it is different from you. Most of the time, you are committing your own
> commit, so this line is _unusual_ and that is very much deliberate.
>
> If you do not think of a good way to improve the "help" part of the patch,
> that is Ok. We are still making progress by giving a functionality that
> has been missing.
>
> To remove or to keep, I am less qualified to judge than either you or
> Pete. I'm not the primary audience. If you think it helps users, leave it
> in. Otherwise remove.

Per your suggestion, I'm working on a pair of patches that are:

(a) the previous patch ("minor improvements"), but without the warning. 
git-p4.txt is updated to make it clearer what to expect.

(b) a second patch that puts a warning in the commit template if you are 
going to lose authorship information. The warning is disableable  via 
git-config.

Regards!
Luke